package com.kingdee.eas.hr.project;

import java.io.Serializable;
import com.kingdee.bos.dao.AbstractObjectValue;
import java.util.Locale;
import com.kingdee.util.TypeConversionUtils;
import com.kingdee.bos.util.BOSObjectType;


public class AbstractWorkHoursReportEntryInfo extends com.kingdee.eas.framework.CoreBillEntryBaseInfo implements Serializable 
{
    public AbstractWorkHoursReportEntryInfo()
    {
        this("id");
    }
    protected AbstractWorkHoursReportEntryInfo(String pkField)
    {
        super(pkField);
    }
    /**
     * Object: 分录 's 单据头 property 
     */
    public com.kingdee.eas.hr.project.WorkHoursReportInfo getParent()
    {
        return (com.kingdee.eas.hr.project.WorkHoursReportInfo)get("parent");
    }
    public void setParent(com.kingdee.eas.hr.project.WorkHoursReportInfo item)
    {
        put("parent", item);
    }
    /**
     * Object: 分录 's 员工 property 
     */
    public com.kingdee.eas.basedata.person.PersonInfo getEmployee()
    {
        return (com.kingdee.eas.basedata.person.PersonInfo)get("employee");
    }
    public void setEmployee(com.kingdee.eas.basedata.person.PersonInfo item)
    {
        put("employee", item);
    }
    /**
     * Object:分录's 打卡时间property 
     */
    public String getClockTime()
    {
        return getString("clockTime");
    }
    public void setClockTime(String item)
    {
        setString("clockTime", item);
    }
    /**
     * Object:分录's 打卡位置property 
     */
    public String getClockLocation()
    {
        return getString("clockLocation");
    }
    public void setClockLocation(String item)
    {
        setString("clockLocation", item);
    }
    /**
     * Object:分录's 日期property 
     */
    public java.util.Date getData()
    {
        return getDate("data");
    }
    public void setData(java.util.Date item)
    {
        setDate("data", item);
    }
    /**
     * Object:分录's 工时天数property 
     */
    public java.math.BigDecimal getWorkingHours()
    {
        return getBigDecimal("WorkingHours");
    }
    public void setWorkingHours(java.math.BigDecimal item)
    {
        setBigDecimal("WorkingHours", item);
    }
    /**
     * Object:分录's 备注property 
     */
    public String getNotes()
    {
        return getString("notes");
    }
    public void setNotes(String item)
    {
        setString("notes", item);
    }
    public BOSObjectType getBOSType()
    {
        return new BOSObjectType("22DCD041");
    }
}